package com.xunmei.core.resumption.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xunmei.common.core.web.page.TableDataInfo;
import com.xunmei.core.resumption.domain.Protection;
import com.xunmei.core.resumption.dto.protection.ProtectionEditDto;
import com.xunmei.core.resumption.dto.protection.ProtectionLogPageDto;
import com.xunmei.core.resumption.dto.protection.ProtectionPageDto;
import com.xunmei.core.resumption.vo.protection.ProtectionLogPageVo;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author oygj
 * @since 2022-09-11
 */
public interface IProtectionService extends IService<Protection> {

//    List<SearchDeviceListVo> deviceList(SearchDeviceListDto request);

    TableDataInfo pageList(ProtectionPageDto request);

    Protection get(Long id);

    Long edit(ProtectionEditDto dto);

    boolean del(Long id);

    TableDataInfo history(ProtectionLogPageDto request);

    boolean updateStatus(Long protectionId,String status);

//    MePage<pageSensorVo> pageSensorList(pageSensorDto request);

//    MePage<ProtectionPageVo4Mybatis> pageByMybatis(ProtectionPageDto4Mybatis request);
}
